Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 346993 - sys-devel/automake-1.11.1 fails test related to texinfo; texi2dvi always returns 1
Summary: sys-devel/automake-1.11.1 fails test related to texinfo; texi2dvi always retu...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2010-11-27 18:45 UTC by Brant Gurganus
Modified: 2015-07-08 05:52 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
log of version7 test (version7.log,9.20 KB, text/plain)
2010-11-27 18:48 UTC, Brant Gurganus
Details
Log of txinfo33 test (txinfo33.log,2.41 KB, text/plain)
2010-11-27 18:48 UTC, Brant Gurganus
Details
Log of txinfo28 test (txinfo28.log,5.72 KB, text/plain)
2010-11-27 18:48 UTC, Brant Gurganus
Details
Log of txinfo25 test (txinfo25.log,7.02 KB, text/plain)
2010-11-27 18:48 UTC, Brant Gurganus
Details
Log of txinfo24 test (txinfo24.log,5.63 KB, text/plain)
2010-11-27 18:48 UTC, Brant Gurganus
Details
Log of txinfo23 test (txinfo23.log,7.50 KB, text/plain)
2010-11-27 18:49 UTC, Brant Gurganus
Details
Log of txinfo22 test (txinfo22.log,7.36 KB, text/plain)
2010-11-27 18:49 UTC, Brant Gurganus
Details
Log of txinfo21 test (txinfo21.log,22.32 KB, text/plain)
2010-11-27 18:49 UTC, Brant Gurganus
Details
Log of txinfo18 test (txinfo18.log,7.02 KB, text/plain)
2010-11-27 18:49 UTC, Brant Gurganus
Details
Log of txinfo16 test (txinfo16.log,5.26 KB, text/plain)
2010-11-27 18:49 UTC, Brant Gurganus
Details
Log of txinfo13 test (txinfo13.log,7.67 KB, text/plain)
2010-11-27 18:49 UTC, Brant Gurganus
Details
Log of txinfo3 test (txinfo3.log,7.16 KB, text/plain)
2010-11-27 18:49 UTC, Brant Gurganus
Details
Log of instdir-texi test (instdir-texi.log,3.30 KB, text/plain)
2010-11-27 18:50 UTC, Brant Gurganus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brant Gurganus 2010-11-27 18:45:21 UTC
Several tests in the automake-1.11.1 test suite fail. There is a common factor that all of them seem to fail because a call to texi2dvi exits with 1 as the error code instead of 0. Placing the same source files in my home directory and manually running texi2dvi on them, I end up with the same issue there so it does not seem to be related to sandbox or ebuild environment. Failing tests are:
instdir-texi.test
txinfo3.test
txinfo13.test
txinfo16.test
txinfo18.test
txinfo21.test
txinfo22.test
txinfo23.test
txinfo24.test
txinfo25.test
txinfo28.test
txinfo33.test
version7.test

Reproducible: Always

Steps to Reproduce:
1. Merge automake with FEATURES="test"
Actual Results:  
13 tests fail

Expected Results:  
All tests pass

Bug 228205 looked related if not a duplicate but not enough information and context is given there to determine that. This version of automake is also not listed there.
Comment 1 Brant Gurganus 2010-11-27 18:48:05 UTC
Created attachment 255627 [details]
log of version7 test
Comment 2 Brant Gurganus 2010-11-27 18:48:30 UTC
Created attachment 255629 [details]
Log of txinfo33 test
Comment 3 Brant Gurganus 2010-11-27 18:48:41 UTC
Created attachment 255631 [details]
Log of txinfo28 test
Comment 4 Brant Gurganus 2010-11-27 18:48:50 UTC
Created attachment 255633 [details]
Log of txinfo25 test
Comment 5 Brant Gurganus 2010-11-27 18:48:57 UTC
Created attachment 255635 [details]
Log of txinfo24 test
Comment 6 Brant Gurganus 2010-11-27 18:49:04 UTC
Created attachment 255637 [details]
Log of txinfo23 test
Comment 7 Brant Gurganus 2010-11-27 18:49:12 UTC
Created attachment 255639 [details]
Log of txinfo22 test
Comment 8 Brant Gurganus 2010-11-27 18:49:19 UTC
Created attachment 255641 [details]
Log of txinfo21 test
Comment 9 Brant Gurganus 2010-11-27 18:49:27 UTC
Created attachment 255643 [details]
Log of txinfo18 test
Comment 10 Brant Gurganus 2010-11-27 18:49:39 UTC
Created attachment 255645 [details]
Log of txinfo16 test
Comment 11 Brant Gurganus 2010-11-27 18:49:47 UTC
Created attachment 255647 [details]
Log of txinfo13 test
Comment 12 Brant Gurganus 2010-11-27 18:49:54 UTC
Created attachment 255649 [details]
Log of txinfo3 test
Comment 13 Brant Gurganus 2010-11-27 18:50:17 UTC
Created attachment 255651 [details]
Log of instdir-texi test
Comment 14 Alexis Ballier gentoo-dev 2010-12-09 22:19:47 UTC
you don't have texlive-texinfo installed, right ?

ebuilds need to depend on virtual/texi2dvi for using texi2dvi, which is not the case of automake.
FWIW: I don't have such tests failures here.
Comment 15 Brant Gurganus 2010-12-09 23:49:53 UTC
(In reply to comment #14)
> you don't have texlive-texinfo installed, right ?
> 
> ebuilds need to depend on virtual/texi2dvi for using texi2dvi, which is not the
> case of automake.
> FWIW: I don't have such tests failures here.
> 

I did not have texlive-texinfo installed. It was insufficient for passing the tests too. With virtual/texi2dvi, the tests did pass.

Since texinfo is where the texi2dvi executable comes from and for texi2dvi to work, it needs the virtual/texi2dvi stuff, does that indicate that's the root issue? texinfo is missing runtime dependency on virtual/texi2dvi?
Comment 16 Alexis Ballier gentoo-dev 2010-12-16 13:22:46 UTC
I recall we discussed this years ago: texinfo is a core package and it seems a bit of an overkill to make it pull in latex stuff unconditionally. It provides the texi2dvi executable but for it to work one needs virtual/texi2dvi and packages using it should depend on it.
Comment 17 SpanKY gentoo-dev 2010-12-16 14:01:02 UTC
is there a way to check for this ?  so we could have the tests automatically SKIP when full support isnt available.  i'd like something that can be merged upstream, so ebuild checks arent what i'm thinking of.
Comment 18 Brant Gurganus 2010-12-16 16:23:24 UTC
Texinfo has its tests pass so assuming they have a texi2dvi test, they are skipping it or expecting it to fail somehow.

It might be nice to improve the texi2dvi executable to not fail so quietly when the dependencies aren't available too.

If you run texi2dvi by hand (It's not just ebuilds that might run it) it just quits with no obvious failure and that's not good.
Comment 19 Alexis Ballier gentoo-dev 2010-12-17 14:02:00 UTC
(In reply to comment #17)
> is there a way to check for this ?  so we could have the tests automatically
> SKIP when full support isnt available.  i'd like something that can be merged
> upstream, so ebuild checks arent what i'm thinking of.
> 

maybe the return value of "kpsewhich texinfo"
Comment 20 Alexis Ballier gentoo-dev 2011-01-05 20:49:28 UTC
(In reply to comment #19)
> (In reply to comment #17)
> > is there a way to check for this ?  so we could have the tests automatically
> > SKIP when full support isnt available.  i'd like something that can be merged
> > upstream, so ebuild checks arent what i'm thinking of.
> > 
> 
> maybe the return value of "kpsewhich texinfo"
> 

I remember talking with libcaca's upstream about a case like that years ago, there is now some autoconf foo there for checking that the required latex packages are available. Nothing more to do for tex. CC _me_ back if you need an answer to a question.